package top.daxian1218.dust.edp.services.queryProject;

import top.daxian1218.dust.commons.exception.DustSystemException;

public enum ProjectType {
    /**
     * 预置
     */
    DEV("0"),
    /**
     * 个人
     */
    MY("1"),
    /**
     * 共享
     */
    SHARED("2");
    private final String value;

    private ProjectType(String type) {
        this.value = type;
    }

    public String getValue() {

        return value;
    }

    @Override
    public String toString() {
        return this.value;
    }

    public static ProjectType convert(String v) {
        switch (v) {
            case "0":
                return DEV;
            case "1":
                return MY;
            case "2":
                return SHARED;
        }

        throw new DustSystemException("不支持的ProjectType");
    }
}
